APT-CDROM(8)

NOMBRE
apt-cdrom - Herramienta de APT para la gestión de discos ópticos

SINOPSIS

apt-cdrom [-rmfan] [-d=cdrom_mount_point] [-o=config_string] [-c=config_file] {add | ident | {-v | --version} | {-h | --help}}

DESCRIPCIÓN

apt-cdrom se utiliza para añadir un disco óptico nuevo a la lista de fuentes disponibles de APT. apt-cdrom examina la estructura del disco, corrige los posibles errores de grabación y verifica los ficheros de índice.

Se requiere utilizar apt-cdrom para añadir los discos al sistema APT, no se puede hacer manualmente. Además, debe insertar y analizar cada disco de un conjunto de discos por separado para detectar posibles errores de grabación.

A menos que se use la opción -h o --help, una de las siguientes órdenes debe estar presente.

add
    add añade un disco nuevo a la lista de fuentes. Desmontará el dispositivo del disco y pedirá que se inserte un disco para iniciar el análisis y copiado de los ficheros de índice. Si el disco no contiene un directorio .disk apropiado, se le pedirá un título descriptivo.

    APT utiliza un identificador de disco óptico para identificar el disco presente en la unidad lectora, y mantiene una base de datos de estos identificadores en /var/lib/apt/cdroms.list

ident
    Una herramienta de depuración para informar de la identidad del disco actual así como del nombre del fichero guardado.

OPCIONES

Todas las opciones de la línea de órdenes se pueden definir mediante el fichero de configuración, las descripciones indican la opción de la configuración a definir. Para opciones de tipo «boolean» puede invalidar el fichero de configuración utilizando algo como -f-,--no-f, -f=no u otras muchas variaciones.

--no-auto-detect, --cdrom
    Do not try to auto-detect the CD-ROM path. Usually combined with the --cdrom option. Configuration Item: Acquire::cdrom::AutoDetect.

-d, --cdrom
    Punto de montaje. Define el lugar donde se debe montar el disco óptico. El punto de montaje debe aparecer en /etc/fstab y estar correctamente configurado. Opción de configuración: Acquire::cdrom::mount.

-r, --rename
    Renombra un disco. Cambia la etiqueta de un disco o invalida la etiqueta del disco. Esta opción hará que apt-cdrom solicite una etiqueta nueva. Opción de configuración: APT::CDROM::Rename.

-m, --no-mount
    No montar. Evita que apt-cdrom monte y desmonte el punto de montaje. Opción de configuración: APT::CDROM::NoMount.

-f, --fast
    Crea una copia rápida. Asume que los ficheros de paquete son válidos y no comprueba cada paquete. Esta opción sólo se debe usar si apt-cdrom comprobó el disco anteriormente y no detectó ningún error. Opción de configuración: APT::CDROM::Fast.

-a, --thorough
    Comprobación meticulosa de los paquetes. Esta opción puede ser necesaria con algunos discos viejos de Debian 1.1/1.2, que tienen los ficheros de paquete en lugares extraños. El análisis del disco óptico lleva mucho más tiempo, pero encontrará todo el contenido.

-n, --just-print, --recon, --no-act
    Sin cambios. No cambia el fichero sources.list(5) y no escribe los ficheros de índice. Aun así, se revisará todo. Opción de configuración: APT::CDROM::NoAct.

-h, --help
    Muestra un mensaje corto sobre el uso.

-v, --version
    Muestra la versión del programa.

--audit
    Show audit (and notice) messages. This overrides the quiet option, but only for notice messages, not progress ones.

-c, --config-file
    Fichero de configuración: Especifica el fichero de configuración a usar. El programa leerá el fichero de configuración predeterminado y, después, este fichero de configuración. Si necesita que ciertas opciones de configuración se definan antes que el análisis de los de los ficheros de configuración predeterminados, defina un fichero con la variable de entorno APT_CONFIG. Consulte apt.conf(5) para información sobre la sintaxis.

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

--no-color, --color
    Turn colors on or off. Colors are on by default on supported terminals for apt(8) and can also be disabled using the NO_COLOR or APT_NO_COLOR environment variables, or further configured by the APT::Color configuration option and scope, see apt.conf(5) for information on that.

VÉASE TAMBIÉN

apt.conf(5), apt-get(8), sources.list(5)

DIAGNÓSTICOS

apt-cdrom devuelve cero si no hay ningún error y el valor 100 en caso de error.

BUGS

Página de errores de APT[1]. Si quiere informar de un error en APT, consulte /usr/share/doc/debian/bug-reporting.txt o use la orden reportbug(1).

TRADUCCIÓN

La traducción al español la realizaron Ismael Fanlo, Carlos Mestre, Rudy Godoy, Gustavo Saldumbide, Javier Fernández-Sanguino y Rubén Porras Campo entre los años 2003 y 2004. La traducción fue actualizada por Francisco Javier Cuadrado y Omar Campagne Polaino entre los años 2009 y 2012 .

Tenga en cuenta que este documento puede contener secciones sin traducir. Esto es intencionado para evitar perder contenido cuando la traducción no está actualizada con respecto al documento original.

AUTORES

Jason Gunthorpe

Equipo de APT

NOTAS

1.  Página de errores de APT
    https://bugs.debian.org/src:apt